scala.collection.mutable

# AnyRefMap

#### object AnyRefMap

Source
  AnyRefMap.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnyRefMap
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### final class AnyRefMapBuilder[K <: AnyRef, V] extends Builder[(K, V), AnyRefMap[K, V]]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[K <: AnyRef, V](elems: (K, V)*): AnyRefMap[K, V]

   Creates a new `AnyRefMap` with zero or more key/value pairs.

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit def canBuildFrom[K <: AnyRef, V, J <: AnyRef, U]: CanBuildFrom[AnyRefMap[K, V], (J, U), AnyRefMap[J, U]]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def empty[K <: AnyRef, V]: AnyRefMap[K, V]

   Creates a new empty `AnyRefMap`.

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def fromZip[K <: AnyRef, V](keys: Iterable[K], values: Iterable[V]): AnyRefMap[K, V]

    Creates a new `AnyRefMap` from keys and values.

    Creates a new `AnyRefMap` from keys and values. Equivalent to but more efficient than `AnyRefMap((keys zip values): _*)`.

13. #### def fromZip[K <: AnyRef, V](keys: Array[K], values: Array[V]): AnyRefMap[K, V]

    Creates a new `AnyRefMap` from arrays of keys and values.

    Creates a new `AnyRefMap` from arrays of keys and values. Equivalent to but more efficient than `AnyRefMap((keys zip values): _*)`.

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### def withDefault[K <: AnyRef, V](default: (K) ⇒ V): AnyRefMap[K, V]

    Creates a new empty `AnyRefMap` with the supplied default

### Inherited from AnyRef

### Inherited from Any

### Ungrouped